package com.mortals.xhx.module.sms.model;

import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.sms.model.vo.SmsTemplateVo;
/**
* 短信模板实体对象
*
* @author zxfei
* @date 2022-01-12
*/

public class SmsTemplateEntity extends SmsTemplateVo {
    private static final long serialVersionUID = 1L;

    /**
    * 站点ID
    */
    private Long siteid;
    /**
    * 站点名称
    */
    private String siteName;
    /**
    * 模板code
    */
    private String code;
    /**
    * 备注
    */
    private String summary;
    /**
    * 
    */
    private String content;
    /**
    * 模板选择 (1.预约成功短信,2.取号成功短信,3.临近叫号短信)
    */
    private Integer type;
    /**
    * 系统来源(1.排号系统,2.取件系统）
    */
    private Integer source;



    public SmsTemplateEntity(){}
    /**
    * 获取 站点ID
    * @return Long
    */
    public Long getSiteid(){
        return siteid;
    }
    /**
    * 设置 站点ID
    * @param siteid
    */
    public void setSiteid(Long siteid){
        this.siteid = siteid;
    }
    /**
    * 获取 站点名称
    * @return String
    */
    public String getSiteName(){
        return siteName;
    }
    /**
    * 设置 站点名称
    * @param siteName
    */
    public void setSiteName(String siteName){
        this.siteName = siteName;
    }
    /**
    * 获取 模板code
    * @return String
    */
    public String getCode(){
        return code;
    }
    /**
    * 设置 模板code
    * @param code
    */
    public void setCode(String code){
        this.code = code;
    }
    /**
    * 获取 备注
    * @return String
    */
    public String getSummary(){
        return summary;
    }
    /**
    * 设置 备注
    * @param summary
    */
    public void setSummary(String summary){
        this.summary = summary;
    }
    /**
    * 获取 
    * @return String
    */
    public String getContent(){
        return content;
    }
    /**
    * 设置 
    * @param content
    */
    public void setContent(String content){
        this.content = content;
    }
    /**
    * 获取 模板选择 (1.预约成功短信,2.取号成功短信,3.临近叫号短信)
    * @return Integer
    */
    public Integer getType(){
        return type;
    }
    /**
    * 设置 模板选择 (1.预约成功短信,2.取号成功短信,3.临近叫号短信)
    * @param type
    */
    public void setType(Integer type){
        this.type = type;
    }
    /**
    * 获取 系统来源(1.排号系统,2.取件系统）
    * @return Integer
    */
    public Integer getSource(){
        return source;
    }
    /**
    * 设置 系统来源(1.排号系统,2.取件系统）
    * @param source
    */
    public void setSource(Integer source){
        this.source = source;
    }




    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof SmsTemplateEntity) {
            SmsTemplateEntity tmp = (SmsTemplateEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",siteid:").append(getSiteid());
        sb.append(",siteName:").append(getSiteName());
        sb.append(",code:").append(getCode());
        sb.append(",summary:").append(getSummary());
        sb.append(",content:").append(getContent());
        sb.append(",type:").append(getType());
        sb.append(",source:").append(getSource());
        return sb.toString();
    }

    public void initAttrValue(){

            this.siteid = null;

            this.siteName = null;

            this.code = null;

            this.summary = null;

            this.content = null;

            this.type = 1;

            this.source = 1;
    }
}